{{ if isset .Site.Params.widgets "search" }}
{{ if .Site.Params.widgets.search }}
<div class="panel panel-default sidebar-menu">
    <div class="panel-heading">
        <h3 class="panel-title">{{ i18n "searchTitle" }}</h3>
    </div>

    <div class="panel-body">
        <form id="search-form" role="search">
            <div class="input-group">
                <input type="search" id="search-input" class="form-control" placeholder="{{ i18n "searchTitle" }}">
                <span class="input-group-btn">
                    <button type="button" id="search-button" class="btn btn-template-main"><i class="fas fa-search"></i></button>
                </span>
            </div>
        </form>
    </div>
</div>

<div id="search-results"></div>

<script src="https://cdnjs.cloudflare.com/ajax/libs/lunr.js/2.3.9/lunr.min.js"></script>
<script>
    document.addEventListener("DOMContentLoaded", function() {
        fetch('/searchindex.json')
            .then(response => response.json())
            .then(data => {
                var idx = lunr(function () {
                    this.ref('url');
                    this.field('title');
                    this.field('summary');
                    this.field('content');

                    data.forEach(function (doc) {
                        this.add(doc)
                    }, this)
                });

                document.getElementById('search-button').addEventListener('click', function() {
                    var query = document.getElementById('search-input').value;
                    var results = idx.search(query);

                    var resultsContainer = document.getElementById('search-results');
                    resultsContainer.innerHTML = "";

                    if (results.length > 0) {
                        results.forEach(function(result) {
                            var item = data.find(page => page.url === result.ref);
                            var resultElement = document.createElement('div');
                            resultElement.innerHTML = '<a href="' + item.url + '">' + item.title + '</a><p>' + item.summary + '</p>';
                            resultsContainer.appendChild(resultElement);
                        });
                    } else {
                        resultsContainer.innerHTML = "<p>No results found</p>";
                    }
                });
            });
    });
</script>

{{ end }}
{{ end }}
